Subject: Save the Green Genes

From: [email-masked] (Richard Dana)
Date: Thu, 16 Jun 1994 08:59:17 GMT

Project Green Gene is collecting California plant leaves to make a 
collection of plant genes.
Please send a fresh leaf so that we can isolate the DNA and add it to our 
collection along with the name of the plant and where it was found.

MAIL TO: Project Green Gene, 832 Crescent Drive, Vista, CA 92083

THANK YOU